# Makefile.env template for sp-1.1.1	-*-Makefile-*-
# Makefile.env.in Copyright (C) 1996 Henry S. Thompson
# Original SP Makefile Copyright (c) 1994, 1995, 1996 James Clark
# See the file COPYING for copying permission.

# configure uses this to build a Makefile

# I've tried to remove all necessity for editing this file directly --
# Please send me e-mail (ht@cogsci.ed.ac.uk) if you discover you need to.
# Try configure --help if unsure of how to set switches, directories, etc.

# DEBUG, XDEFINES, XLIBDIRS and XLIBS are here for you to set on the 'make'
# command line if necessary

# Executables will be *very* large if you use -g.
DEBUG=
XDEFINES=
# -L/usr/local/lib may be needed on the RS/6000
XLIBS=
XLIBDIRS=

CXX=@CXX@
WARN=@WARN@
INSTALL=@INSTALL@

DEFINES=@DEFS@ $(XDEFINES)
CXXFLAGS= @CXXFLAGS@ $(DEBUG) $(WARN)
LDFLAGS=@LDFLAGS@
CC=@CC@
CFLAGS=-O $(DEBUG)
# Missing library functions
LIBOBJS=@LIBOBJS@

LIBS=@LIBS@ $(XLIBS)
AR=ar
RANLIB=@RANLIB@
M4=m4
# perl is needed if you change or add messages
PERL=perl
# Suffix for executables.
EXE=
# Uncomment this for OS/2.
#EXE=.exe

PURIFYFLAGS=
PURIFY=purify $(PURIFYFLAGS) -g++=yes -collector=`dirname \`gcc -print-libgcc-file-name\``/ld

# Work-around for bash bug
CDPATH=
